datatype URL / breaking URL special character transformation (1.8.0)
Closed, ResolvedPublic

Description

In some cases special characters stored in properties with datatype URL get erroneously transformed causing the link not to work, e.g.

[[Has URL::https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/TitleKey.git;a=tree]]

->

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/TitleKey.git%3Ba=tree

See here for a live example:

http://scratchpad.referata.com/wiki/Datatype_URL_-_test


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz35452.
Kghbln created this task.Via LegacyMar 24 2012, 10:31 AM
thingles added a comment.Via ConduitApr 30 2012, 12:44 PM

This seems closely related to bug #36351.

Kghbln added a comment.Via ConduitNov 18 2014, 10:10 PM

Now recorded on GitHub with issue 633 [1]

[1] https://github.com/SemanticMediaWiki/SemanticMediaWiki/issues/633

Kghbln added a comment.Via ConduitNov 20 2014, 9:36 PM

This issue was fixed with pull request 633 [1]. Thus closing as RESOLVED FIXED.

[1] https://github.com/SemanticMediaWiki/SemanticMediaWiki/pull/634

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.